.position-absolute {
    position: absolute !important;
  }
  
  $lo-button-color-border: transparent;
  $lo-button-color-border-pressed: $mo-color-text-primary;
  $lo-button-color-text: $mo-color-text-primary;
  $lo-button-color-text-disabled: $dove-gray;
  
  $lo-button-primary-color: $lochmara;
  $lo-button-primary-color-hover: $denim;
  $lo-button-primary-color-active: $bahama-blue;
  $lo-button-primary-color-focus: $mine-shaft;
  
  $lo-button-primary-color-border-disabled: $mercury;
  $lo-button-primary-color-text: $mo-color-text-white;
  $lo-button-primary-color-text-disabled: $dove-gray;
  
  $lo-button-secondary-color: $lo-button-primary-color;
  $lo-button-secondary-color-hover: $lo-button-primary-color-hover;
  $lo-button-secondary-color-active: $lo-button-primary-color-active;
  $lo-button-secondary-color-focus: $lo-button-primary-color-focus;
  
  $lo-button-tertiary-color: #cccccc;
  $lo-button-tertiary-color-hover: #cccccc;
  $lo-button-tertiary-color-active: #cccccc;
  $lo-button-tertiary-color-focus: #cccccc;
  
  $lo-button-tertiary-color-border-disabled: $mercury;
  $lo-button-tertiary-color-text: #282828;
  $lo-button-tertiary-color-text-disabled: $dove-gray;
  
  $lo-button-warning-color: $mango-tango;
  $lo-button-warning-color-hover: $bamboo;
  $lo-button-warning-color-active: $grenadier;
  $lo-button-warning-color-text: $mo-color-text-white;
  $lo-button-warning-color-text-disabled: $lo-button-primary-color-text-disabled;
  
  .lo-button , .btn {
    @include reset-button;
    @include font-preset('body', 'button');
  
    box-sizing: border-box;
    display: inline-block;
    position: relative;
    transition: transform 0.3s, background-color 0.2s, color 0.2s, border-color 0.2s;
    border: 1px solid $lo-button-color-border;
    border-radius: 4px;
    cursor: pointer;
    padding: 14px 16px;
    text-decoration: none;
    color: $lo-button-color-text;
  
    &:hover {
      transform: translateY(-2px);
      text-decoration: none;
      color: $lo-button-color-text;
    }
  
    &:focus {
      transform: translateY(0);
      border-color: $lo-button-color-border;
      text-decoration: none;
    }
  
    &:active {
      transform: translateY(0);
      border-color: $lo-button-color-border;
      box-shadow: none;
    }
  
    &:disabled,
    &[disabled] {
      color: $lo-button-color-text-disabled;
  
      &:hover {
        transform: translateY(0);
        cursor: not-allowed;
        color: $lo-button-color-text-disabled;
      }
    }
  
    &__icon {
      display: block;
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      width: 14px;
      height: 14px;
  
      &--left {
        left: 8px;
      }
  
      &--right {
        right: 8px;
      }
    }
  
    &--align-left {
      padding-left: 0;
  
      .lo-button__icon--left {
        left: 0;
      }
  
      &.lo-button--with-icon-left {
        padding-left: 25px;
      }
    }
  
    &--align-right {
      padding-right: 0;
  
      .lo-button__icon--right {
        right: 0;
      }
  
      &.lo-button--with-icon-right {
        padding-right: 25px;
      }
    }
  
    &--with-icon-left {
      padding-left: 30px;
    }
  
    &--with-icon-right {
      padding-right: 30px;
    }
  
    &--primary {
      @include box-shadow(md);
  
      background-color: $lo-button-primary-color;
      color: $lo-button-primary-color-text;
      font-size: 18px;
  
      &:hover {
        background-color: $lo-button-primary-color-hover;
        text-decoration: none;
        color: $mo-color-text-white;
      }
  
      &:focus {
        background-color: $lo-button-primary-color-hover;
      }
  
      &:active {
        background-color: $lo-button-primary-color-active;
        text-decoration: none;
      }
  
      &:disabled {
        box-shadow: none;
        background-color: $lo-button-primary-color-border-disabled;
        color: $lo-button-primary-color-text-disabled;
      }
    }
  
  
  
    &--secondary  {
      color: $lo-button-secondary-color;
  
      &:hover {
        color: $lo-button-secondary-color;
      }
  
      &:focus,
      &:active {
        transform: translateY(0);
        text-decoration: underline;
      }
  
      &:disabled {
        border-color: $lo-button-secondary-color-focus;
      }
    }
  
  
  
    &--tertiary {
      @include box-shadow(md);
  
      background-color: $lo-button-tertiary-color;
      color: $lo-button-tertiary-color-text;
      font-size: 18px;
  
      &:hover {
        background-color: $lo-button-tertiary-color-hover;
        text-decoration: none;
      }
  
      &:focus {
        background-color: $lo-button-tertiary-color-hover;
      }
  
      &:active {
        background-color: $lo-button-tertiary-color-active;
        text-decoration: none;
      }
  
      &:disabled {
        box-shadow: none;
        background-color: $lo-button-tertiary-color-border-disabled;
        color: $lo-button-tertiary-color-text-disabled;
      }
    }
  
  
  
    &--ghost {
      &,
      &:hover,
      &:active,
      &:focus {
        border: 1px solid $white;
        color: $white;
      }
    }
  
    &--link, .btn-link {
      text-decoration: underline;
      color: $endeavour;
      @include font-preset('body', 'content');
  
      &:hover {
        transform: translateY(0);
        color: $endeavour;
      }
    }
  }
  
  .btn-primary {
   @include box-shadow(md);
  
   background-color: $lo-button-primary-color;
   color: $lo-button-primary-color-text;
   font-size: 18px;
  
   &:hover {
     background-color: $lo-button-primary-color-hover;
     text-decoration: none;
     color: $mo-color-text-white;
   }
  
   &:focus {
     background-color: $lo-button-primary-color-hover;
   }
  
   &:active {
     background-color: $lo-button-primary-color-active;
     text-decoration: none;
   }
  
   &:disabled {
     box-shadow: none;
     background-color: $lo-button-primary-color-border-disabled;
     color: $lo-button-primary-color-text-disabled;
   }
  }
  
  .btn-secondary {
   color: $lo-button-secondary-color;
  
   &:hover {
     color: $lo-button-secondary-color;
   }
  
   &:focus,
   &:active {
     transform: translateY(0);
     text-decoration: underline;
   }
  
   &:disabled {
     border-color: $lo-button-secondary-color-focus;
   }
  }
  
  .btn-warning {
    @include box-shadow(md);
  
    background-color: $lo-button-warning-color;
    color: $lo-button-warning-color-text;
    font-size: 18px;
  
    &:hover {
      background-color: $lo-button-warning-color-hover;
      text-decoration: none;
      color: $mo-color-text-white;
    }
  
    &:focus {
      background-color: $lo-button-warning-color-hover;
    }
  
    &:active {
      background-color: $lo-button-warning-color-active;
      text-decoration: none;
    }
  
    &:disabled {
      box-shadow: none;
      background-color: $lo-button-primary-color-border-disabled;
      color: $lo-button-primary-color-text-disabled;
    }
  }
  
  @include media-breakpoint-up(sm) {
    .lo-button , .btn {
      padding-top: 6px;
      padding-bottom: 6px;
  
      &--lg, .btn-lg {
        padding-top: 14px;
        padding-bottom: 14px;
      }
  
    }
  }
  